Draft WireToBSpline: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
Line 1: Line 1:
<translate>
<translate>
<!--T:1-->
{{GuiCommand|Name=Draft_WireToBSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}
{{GuiCommand|Name=Draft_WireToBSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}


==Description==
==Description== <!--T:2-->


<!--T:3-->
This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.
This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.


Line 10: Line 12:
<translate>
<translate>


==How to use==
==How to use== <!--T:4-->


<!--T:5-->
# Select a [[Draft Wire|wire]] or a [[Draft BSpline|BSpline]]
# Select a [[Draft Wire|wire]] or a [[Draft BSpline|BSpline]]
# Press the {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline]]}} button
# Press the {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline]]}} button


==Options==
==Options== <!--T:6-->


<!--T:7-->
* The original object will not be deleted after the operation, you must delete it manually if you wish so.
* The original object will not be deleted after the operation, you must delete it manually if you wish so.


==Scripting==
==Scripting== <!--T:8-->


<!--T:9-->
Not available, but creating a new object with the points from another one is easy, for example:
Not available, but creating a new object with the points from another one is easy, for example:


<!--T:10-->
* If the active object is a wire:
* If the active object is a wire:


Line 33: Line 39:
<translate>
<translate>


<!--T:11-->
* if the active object is a bspline
* if the active object is a bspline



Revision as of 15:51, 14 February 2014

Draft_WireToBSpline

Menu location
Drafting -> Wire to BSpline
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

This tool converts Wires to BSplines, and vice-versa.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)